Module org.firebirdsql.jaybird
Package org.firebirdsql.jaybird.fb.constants

# Class TpbItems

java.lang.Object
org.firebirdsql.jaybird.fb.constants.TpbItems

public class TpbItems extends Object
Constants for TPB (transaction parameter buffer) items.

Since:
  5
Author:
  Mark Rotteveel

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `isc_tpb_at_snapshot_number`
  `static final int`
  `isc_tpb_autocommit`
  `static final int`
  `isc_tpb_commit_time`
  `static final int`
  `isc_tpb_concurrency`
  `static final int`
  `isc_tpb_consistency`
  `static final int`
  `isc_tpb_exclusive`
  `static final int`
  `isc_tpb_ignore_limbo`
  `static final int`
  `isc_tpb_lock_read`
  `static final int`
  `isc_tpb_lock_timeout`
  `static final int`
  `isc_tpb_lock_write`
  `static final int`
  `isc_tpb_no_auto_undo`
  `static final int`
  `isc_tpb_no_rec_version`
  `static final int`
  `isc_tpb_nowait`
  `static final int`
  `isc_tpb_protected`
  `static final int`
  `isc_tpb_read`
  `static final int`
  `isc_tpb_read_committed`
  `static final int`
  `isc_tpb_read_consistency`
  `static final int`
  `isc_tpb_rec_version`
  `static final int`
  `isc_tpb_restart_requests`
  `static final int`
  `isc_tpb_shared`
  `static final int`
  `isc_tpb_verb_time`
  `static final int`
  `isc_tpb_wait`
  `static final int`
  `isc_tpb_write`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### isc_tpb_consistency

    public static final int isc_tpb_consistency
    See Also:
      - Constant Field Values

  - ### isc_tpb_concurrency

    public static final int isc_tpb_concurrency
    See Also:
      - Constant Field Values

  - ### isc_tpb_shared

    public static final int isc_tpb_shared
    See Also:
      - Constant Field Values

  - ### isc_tpb_protected

    public static final int isc_tpb_protected
    See Also:
      - Constant Field Values

  - ### isc_tpb_exclusive

    public static final int isc_tpb_exclusive
    See Also:
      - Constant Field Values

  - ### isc_tpb_wait

    public static final int isc_tpb_wait
    See Also:
      - Constant Field Values

  - ### isc_tpb_nowait

    public static final int isc_tpb_nowait
    See Also:
      - Constant Field Values

  - ### isc_tpb_read

    public static final int isc_tpb_read
    See Also:
      - Constant Field Values

  - ### isc_tpb_write

    public static final int isc_tpb_write
    See Also:
      - Constant Field Values

  - ### isc_tpb_lock_read

    public static final int isc_tpb_lock_read
    See Also:
      - Constant Field Values

  - ### isc_tpb_lock_write

    public static final int isc_tpb_lock_write
    See Also:
      - Constant Field Values

  - ### isc_tpb_verb_time

    public static final int isc_tpb_verb_time
    See Also:
      - Constant Field Values

  - ### isc_tpb_commit_time

    public static final int isc_tpb_commit_time
    See Also:
      - Constant Field Values

  - ### isc_tpb_ignore_limbo

    public static final int isc_tpb_ignore_limbo
    See Also:
      - Constant Field Values

  - ### isc_tpb_read_committed

    public static final int isc_tpb_read_committed
    See Also:
      - Constant Field Values

  - ### isc_tpb_autocommit

    public static final int isc_tpb_autocommit
    See Also:
      - Constant Field Values

  - ### isc_tpb_rec_version

    public static final int isc_tpb_rec_version
    See Also:
      - Constant Field Values

  - ### isc_tpb_no_rec_version

    public static final int isc_tpb_no_rec_version
    See Also:
      - Constant Field Values

  - ### isc_tpb_restart_requests

    public static final int isc_tpb_restart_requests
    See Also:
      - Constant Field Values

  - ### isc_tpb_no_auto_undo

    public static final int isc_tpb_no_auto_undo
    See Also:
      - Constant Field Values

  - ### isc_tpb_lock_timeout

    public static final int isc_tpb_lock_timeout
    See Also:
      - Constant Field Values

  - ### isc_tpb_read_consistency

    public static final int isc_tpb_read_consistency
    See Also:
      - Constant Field Values

  - ### isc_tpb_at_snapshot_number

    public static final int isc_tpb_at_snapshot_number
    See Also:
      - Constant Field Values